dmd(1)

NAME
dmd - wrapper script for gdc that emulates the dmd command

SYNOPSIS
dmd files.d { -switch }

OPTIONS

files.d

files.htm

files.html
    D source files

files.o
    Object files to link in

files.a
    Library files to link in

-vdmd
    Print commands executed by this wrapper script

-q<arg1>[,<arg2>,<arg3>,...]
    Pass the comma-separated arguments to gdc

-c  compile only, do not link

-d  allow deprecated features

-g  add symbolic debug info

-gt add trace profiling hooks (not supported under linux)

-v  verbose

-O  optimize

-odobjdir
    write object files to directory objdir

-offilename
    name output file to filename

-op do not strip paths from source file

-Ipath
    where to look for imports path is a ; separated list of paths. Multiple -I's can be used, and the paths are searched in the same order.

-Llinkerflag
    pass linkerflag to linker

-debug
    compile in debug code

-debug=level
    compile in debug code <= level

-debug=ident
    compile in debug code identified by ident

-inline
    do function inlining

-release
    compile release version

-unittest
    compile in unit tests

-version=level
    compile in version code >= level

-version=ident
    compile in version code identified by ident

SEE ALSO
gdc(1)

AUTHOR
Copyright (C) 2004 David Friedman